#
# Conditional build:
%bcond_without	doc	# build without documentation
#
Summary:	ZZipLib - libZ-based ZIP-access Library
Summary(pl.UTF-8):	ZZipLib - biblioteka dostępu do archiwów ZIP
Name:		zziplib
Version:	0.13.62
Release:	2
Epoch:		1
License:	LGPL v2 or MPL 1.1
Group:		Libraries
Source0:	http://downloads.sourceforge.net/zziplib/%{name}-%{version}.tar.bz2
# Source0-md5:	5fe874946390f939ee8f4abe9624b96c
Patch0:		%{name}-ac.patch
Patch1:		%{name}-manpages.patch
URL:		http://zziplib.sourceforge.net/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.7
BuildRequires:	docbook-dtd412-xml
BuildRequires:	libtool >= 1:1.4.3
BuildRequires:	pkgconfig
BuildRequires:	python
BuildRequires:	python-modules
BuildRequires:	xmlto
BuildRequires:	zip
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ZZipLib provides read access to zipped files in a zip-archive, using
compression based solely on free algorithms provided by zlib. ZZipLib
provides an additional API to transparently access files being either
real files or zipped files with the same filepath argument. This is
handy to package many files being shared data into a single zip file -
as it is sometimes used with gamedata or script repositories. The
library itself is fully multithreaded, and it is namespace clean using
the zzip_ prefix for its exports and declarations.

%description -l pl.UTF-8
ZZipLib pozwala na odczyt plików skompresowanych w archiwach zip,
używając do dekompresji wolnodostępnych algorytmów z biblioteki zlib.
ZZipLib dostarcza dodatkowe API do przezroczystego dostępu do plików
rzeczywistych lub umieszczonych w archiwach zip przy pomocy takiej
samej ścieżki. Jest to przydatne przy trzymaniu wielu plików w jednym
archiwum, co bywa stosowane w przypadku danych dla gier lub
repozytoriów. Biblioteka jest w pełni wielowątkowa i ma czystą
przestrzeń nazw (używa prefiksu zzip_).

%package devel
Summary:	ZZipLib - Development Files
Summary(pl.UTF-8):	Pliki dla programistów ZZipLib
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
These are the header files needed to develop programs using zziplib.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do tworzenia programów
korzystających z biblioteki zziplib.

%package static
Summary:	ZZipLib static library
Summary(pl.UTF-8):	Statyczna biblioteka ZZipLib
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
ZZipLib static library.

%description static -l pl.UTF-8
Statyczna biblioteka ZZipLib.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-builddir

%{__make}
%{__make} -j1 check
%if %{with doc}
%{__make} doc
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with doc}
%{__make} install-man3 -C docs \
	DESTDIR=$RPM_BUILD_ROOT
%endif

# we don't need these compat symlinks
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libzzip*-0.so.{10,11,12}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO docs/COPYING.ZLIB
%attr(755,root,root) %{_bindir}/zzcat
%attr(755,root,root) %{_bindir}/zzdir
%attr(755,root,root) %{_bindir}/zzxor*
%attr(755,root,root) %{_bindir}/unzip-mem
%attr(755,root,root) %{_bindir}/unzzip*
%attr(755,root,root) %{_libdir}/libzzip-0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libzzip-0.so.13
%attr(755,root,root) %{_libdir}/libzzipfseeko-0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libzzipfseeko-0.so.13
%attr(755,root,root) %{_libdir}/libzzipmmapped-0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libzzipmmapped-0.so.13
%attr(755,root,root) %{_libdir}/libzzipwrap-0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libzzipwrap-0.so.13

%files devel
%defattr(644,root,root,755)
%if %{with doc}
%doc docs/*.{html,css}
%endif
%attr(755,root,root) %{_libdir}/libzzip.so
%attr(755,root,root) %{_libdir}/libzzipfseeko.so
%attr(755,root,root) %{_libdir}/libzzipmmapped.so
%attr(755,root,root) %{_libdir}/libzzipwrap.so
%{_libdir}/libzzip.la
%{_libdir}/libzzipfseeko.la
%{_libdir}/libzzipmmapped.la
%{_libdir}/libzzipwrap.la
%{_includedir}/zzip
%{_includedir}/zzip*.h
%if %{with doc}
%{_mandir}/man3/__zzip_*.3*
%{_mandir}/man3/zzip_*.3*
%endif
%{_pkgconfigdir}/zzip-zlib-config.pc
%{_pkgconfigdir}/zzipfseeko.pc
%{_pkgconfigdir}/zziplib.pc
%{_pkgconfigdir}/zzipmmapped.pc
%{_pkgconfigdir}/zzipwrap.pc
%{_aclocaldir}/zziplib.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/libzzip.a
%{_libdir}/libzzipfseeko.a
%{_libdir}/libzzipmmapped.a
%{_libdir}/libzzipwrap.a
%changelog
* Tue Mar 13 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/zziplib.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 30e7896
- x32 rebuild
- release 2 (by relup.sh)

* Thu Aug 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 5e2bfe7
- updated to 0.13.62

* Wed Jan 05 2011 lisu <lisu@pld-linux.org> 9a66056
- updated to 0.13.60

* Sun Nov 14 2010 Jakub Bogusz <qboosh@pld-linux.org> af95874
- License is now LGPL or MPL
- updated docs packaging

* Thu May 13 2010 sparky <sparky@pld-linux.org> ff22d20
- BR: docbook-dtd412-xml, pkgconfig, python, python-modules, zip

* Tue Mar 30 2010 lisu <lisu@pld-linux.org> d8c1e07
- obsolete

* Tue Mar 30 2010 lisu <lisu@pld-linux.org> 5c1f4f5
- up to 0.13.59
- fetch.patch no longer needed

* Fri Oct 23 2009 Łukasz Krotowski <lkrotowski@pld-linux.org> 8c3d836
- fixed multi-job build

* Tue Aug 25 2009 lisu <lisu@pld-linux.org> ca2bd5f
- updated for 0.13.58

* Tue Aug 25 2009 lisu <lisu@pld-linux.org> c28cb5c
- up to 0.13.58

* Mon Jul 13 2009 lisu <lisu@pld-linux.org> 8251eec
- do not try to install same files twice

* Mon Jul 13 2009 lisu <lisu@pld-linux.org> f8d23aa
- -fetch.patch included (fix install)

* Mon Jun 08 2009 lisu <lisu@pld-linux.org> 61466b9
- proper directory for man pages

* Mon Jun 08 2009 lisu <lisu@pld-linux.org> cf5d9bb
- up to 0.13.54
- manpages.patch - put man pages into proper place

* Mon Mar 30 2009 lisu <lisu@pld-linux.org> 4e3c7d4
- 0.13.50

* Tue May 27 2008 Jakub Bogusz <qboosh@pld-linux.org> 24e9164
- more verbose files, ghost soname symlinks

* Thu May 22 2008 witekfl <witekfl@pld-linux.org> e9b6110
- up to 0.13.49

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 57c081c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3143200
- converted to UTF-8

* Thu Aug 24 2006 Jakub Bogusz <qboosh@pld-linux.org> 8a61db9
- updated to 0.13.47, added ac patch

